FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202111181439.p0.ge6d8251.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202111181439.p0.ge6d8251.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=e6d8251 OS_GIT_VERSION=4.8.0-202111181439.p0.ge6d8251.assembly.stream-e6d8251 SOURCE_DATE_EPOCH=1637244862 SOURCE_GIT_COMMIT=e6d8251927350ef2ac8d283833954485827b9b85 SOURCE_GIT_TAG=e6d8251 SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-storage-version-migrator-operator 
WORKDIR /go/src/github.com/openshift/cluster-kube-storage-version-migrator-operator
COPY . .
RUN make build --warn-undefined-variables

FROM openshift/ose-base:v4.8.0-202111041632.p0.git.ad38e11.assembly.stream
ENV __doozer=update BUILD_RELEASE=202111181439.p0.ge6d8251.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202111181439.p0.ge6d8251.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=e6d8251 OS_GIT_VERSION=4.8.0-202111181439.p0.ge6d8251.assembly.stream-e6d8251 SOURCE_DATE_EPOCH=1637244862 SOURCE_GIT_COMMIT=e6d8251927350ef2ac8d283833954485827b9b85 SOURCE_GIT_TAG=e6d8251 SOURCE_GIT_URL=https://github.com/openshift/cluster-kube-storage-version-migrator-operator 
COPY --from=builder /go/src/github.com/openshift/cluster-kube-storage-version-migrator-operator/cluster-kube-storage-version-migrator-operator /usr/bin/
COPY manifests /manifests
COPY vendor/github.com/openshift/api/operator/v1/*_kube-storage-version-migrator-operator_*.yaml* /manifests

LABEL \
        io.openshift.release.operator="true" \
        name="openshift/ose-cluster-kube-storage-version-migrator-operator" \
        com.redhat.component="ose-cluster-kube-storage-version-migrator-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="kube-storage-version-migrator" \
        release="202111181439.p0.ge6d8251.assembly.stream" \
        io.openshift.build.commit.id="e6d8251927350ef2ac8d283833954485827b9b85" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-kube-storage-version-migrator-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-kube-storage-version-migrator-operator/commit/e6d8251927350ef2ac8d283833954485827b9b85" \
        version="v4.8.0"

